WordPress.org

Ready to get started?Download WordPress

Forums

Collapse-O-Matic
[resolved] Version 1.5.2 effects other plugins (21 posts)

  1. gezginrocker
    Member
    Posted 12 months ago #

    Hello,

    I have just upgraded to the latest version. But after that Sharebar & Scroll to Top plugins stopped working. I disabled Collapse-O-Matic and they started working normally.

    I installed previous version and everything is fine now.

    I think there is a bug with 1.5.2 version.

    http://wordpress.org/extend/plugins/jquery-collapse-o-matic/

  2. styzer
    Member
    Posted 12 months ago #

    Hi,

    I hope this is simple to fix...

    After updating to 1.5.2 just now, the collapse-expand isn't working. All the content show right away. It's not hidden anymore.

    http://www.musicmonday.ca/arrangements/

    How can I fix it?

    Regards,

    Andre

  3. infdesist87
    Member
    Posted 12 months ago #

    I have the same problem as Andre.

    http://isonomia.uji.es/publicaciones/

    Leftside menu

  4. Baden
    Member
    Plugin Author

    Posted 12 months ago #

    gezginrocker: no link.

    styler: you have the following js errors on your site:

    Uncaught TypeError: Property '$' of object [object Object] is not a function www.musicmonday.ca:210
    Uncaught TypeError: Property '$' of object [object Object] is not a function www.musicmonday.ca:226

    infdesist87: Is this text in a sidebar? Did it work before you upgraded? Which version where you using before?

  5. gezginrocker
    Member
    Posted 12 months ago #

    I didn't think I need to write the link, because I already reverted back to 1.5.1.

    But if you want, this is as page that I'm using Collapse-O-Matic. http://www.taylandgezi.com/phuket-adasi-plajlari/

    You can see Sharebar & Scroll to Top working.

  6. Baden
    Member
    Plugin Author

    Posted 12 months ago #

    Gez: First, your theme is force-loading a VERY old version of jQuery in the header:

    <script type='text/javascript' src='http://www.taylandgezi.com/wp-content/themes/Broadcast/scripts/js/jquery-1.5.2.min.js?ver=3.5.1'></script>

    Unless this issue is fixed, you will continue to have more and more problems in time.

    Second: You have a huge list of JavaScript errors on your page. You can view them using any browsers JS Console viewer.

  7. styzer
    Member
    Posted 12 months ago #

    Thanks for the quick reply, Baden...

    However, I have no idea what this means. The plugin was working at version 1.5.1, it's not working at version 1.5.2. Why you would suggest it's something on my end, I don't know. Sorry, I don't mean to be flippant, just wondering. Others have issues with the new version, so I'll uninstall and wait for the bugs to be ironed out.

    Great plugin, btw!

    Till next time,

    Andre

  8. infdesist87
    Member
    Posted 12 months ago #

    Hi Baden, thanks for your quick reply.

    It's a bit convoluted.
    The code is typed inside the plugin "PHP Code for Posts and Pages" v.1, the snippet is pasted in the sidebar zone, inside a text widget.
    Then I decide what widget is shown with the "TS Custom Widgets" v.2 plugin.

    And yes, it works perfectly just before the update. I was using the previous one, I think it's 1.5.1

    I have a backup of my server, can I just paste the archives of the previous version and solve it?

    Thanks for all ;)

  9. Baden
    Member
    Plugin Author

    Posted 12 months ago #

    infdesist87: <strikeout>If you don't mind, we would like to take a look and see what we can learn from your setup. Please contact us at support [ at ] twinpictures [ dot ] de and reference this thread. We'll get you squared away!</strikeout>

    Update: We think we have the sidebar issue fixed! Please download and update to version 1.5.3a direct from our Plugin Oven: http://plugins.twinpictures.de/plugins/collapse-o-matic/

    Please let us know if this resolves your issue!

  10. Baden
    Member
    Plugin Author

    Posted 12 months ago #

    styzer: rest assured, we will iron out any bugs in the plugin. Regardless, you really need to inspect your JavaScript Console. A theme or plugin is inserting jQuery that is causing problems. Here is a good description of what is going on.

  11. gezginrocker
    Member
    Posted 12 months ago #

    Thanks for reply Baden.

    I checked the console as you said, but all errors are caused by Google Maps, Google Adsense & Facebook. Not a single internal error.

    I also checked the jQuery version, and the date is March 2011. Ok it's old, but I think not that extremely old. And I'm pretty sure there must be loads of people using this kind of old versions. So I think you should consider this as well while updating the plugin. I use loads of jQuery plugins and didn't have any problems until now. And Collapse-O-Matic 1.5.1 version is working perfectly.

    I'll update the theme ASAP, but still I suspect there might be some issues with this version. Anyway great plugin, thanks a lot for the effort.

  12. Baden
    Member
    Plugin Author

    Posted 12 months ago #

    As of jQuery 1.7, the .on() method is recommended for attaching event handlers. As of Collapse-O-Matic 1.5.2 we are using the .on() method. If you are currently using a version of jquery that is 2 years old, then we recommend you do not use Collapse-O-Matic versions greater than version 1.4.9.

    Please keep in mind that WordPress 3.5 included jQuery 1.8 and the upcoming WordPress 3.6 is using jQuery 1.9. Version 1.5.2 of our plugin requires at leaset WordPress 3.3 which included jQuery 1.7.1

  13. Baden
    Member
    Plugin Author

    Posted 12 months ago #

    Andre: Can you verify the plugin is activated?

  14. infdesist87
    Member
    Posted 12 months ago #

    Hi Baden,

    YES the problem is gone.

    What was the problem if I may ask?

    Thanks for your help, you solved it very quickly.

  15. Baden
    Member
    Plugin Author

    Posted 12 months ago #

    infdesist87: version 1.5.2 did not include the filter to activate the shortcode in sidebar widgets. Thanks to your feedback, we where made aware of it and fixed it before it was a problem for others.

    Glad things worked out for you!

  16. styzer
    Member
    Posted 12 months ago #

    Hi Baden,

    I had to deactivate the plugin as they decided to follow another route. But I will be using the plugin myself for other things, so let me ask: if I download the plugin again, is the fix applied to it?

    Regards, and I really commend you on your sustained presence and support on this forum. Many plugin developers should take note and emulate that... :)

    Regards,

    Andre

  17. Baden
    Member
    Plugin Author

    Posted 12 months ago #

    Andre, thanks. We'll do our best to make sure the plugin keeps to a high standard. If you you use the plugin and need help, please open a new thread, just for your issue.

    This wack-a-doodle tripple issue thread is now closed. (Whew)

  18. styzer
    Member
    Posted 12 months ago #

    Excellent, Baden, will do, sometimes it's just simpler to attach to an ongoing thread you find, as searching for help leads you to others having the same issues...

    All the best and - well done!

    Regards,

    Andre

  19. Baden
    Member
    Plugin Author

    Posted 12 months ago #

    very nice. glad this thread has a happy end. vote for pedro!

  20. billpetro
    Member
    Posted 11 months ago #

    I am having the same problem since upgrading to 1.5.2

    westsidechurchpca.org/aboutt

    Firefox, Chrome, Safari.

    Could it be a conflict with Jetpack plugin?

    -= Update =-

    I tried installing 1.5.3a. Success!

    Thanks for the oven fresh plugin.

  21. Baden
    Member
    Plugin Author

    Posted 11 months ago #

    Mmmm... Nothing like Oven Fresh! Glad you got it sussed out.

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.